pipeline {
    agent any
        stages {
            stage('package'){
                steps{
                    bat '''
                         cd happytrip-code
                         mvn clean package
                         mvn clean install
                         mvn -B verify
                     '''
                    }
            }
            stage('Sonar Integration') {
                steps{
                    bat '''
                        cd happytrip-code
                        mvn sonar:sonar \
                          -Dsonar.projectKey=happytrip3 \
                          -Dsonar.host.url=http://localhost:9000 \
                          -Dsonar.login=5da5dfdfd8dd6dddcd133a81b4e40b458971e39a
                    '''
                } 
            }
            stage('Build') { 
            	tools {	
            	    jdk 'JDK 1.8'
            	    maven 'Maven_install'
            	    }
            	steps {
			    bat '''
			        cd happytrip-code
        			    java -version
        				mvn -version
        				mvn clean package
        	    	'''
			    }
        	}
        	stage('Deploy') {
        		steps{
        			echo "Deploying"
        			        deploy adapters: [tomcat7(credentialsId: '75ab4cda-b7f1-4e98-82d8-bb9a22f33d62', path: '', url: 'http://localhost:8093')], contextPath: 'HappyTrips', war : '**/*.war'
        			}
        		}
        }
    }